#![no_std]
#![no_main]

#[macro_use]
extern crate user_lib;

use user_lib::{get_time, sys_yield};

#[no_mangle]
fn main() -> i32 {
    let current_time = get_time();
    let wait_time = current_time + 3000;

    println!("Sleep~~~~");
    while get_time() < wait_time {
        sys_yield();
    }

    println!("Test sleep OK!");
    0
}
